Reschedule
curl --request POST \
--url https://api.sortx.co.uk/maintenance-pro/repairs/{id}/reschedule \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"startsAt": "<string>",
"endsAt": "<string>"
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({startsAt: '<string>', endsAt: '<string>'})
};
fetch('https://api.sortx.co.uk/maintenance-pro/repairs/{id}/reschedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/maintenance-pro/repairs/{id}/reschedule"
payload = {
"startsAt": "<string>",
"endsAt": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"reference": "<string>",
"propertyId": "<string>",
"blockId": "<string>",
"unitId": "<string>",
"reporterContactId": "<string>",
"reporterCorrection": "<string>",
"reporterCorrectedAt": "<string>",
"category": "<string>",
"faultNodeId": "<string>",
"subcategory": "<string>",
"specificFault": "<string>",
"faultAnswers": [
{
"questionId": "<string>",
"groupId": "<string>",
"label": "<string>",
"fieldType": "text",
"value": "<string>"
}
],
"trade": "<string>",
"description": "<string>",
"urgency": "<string>",
"status": "<string>",
"estimate": {
"amountMinor": 0,
"currency": "<string>"
},
"spendLimit": {
"amountMinor": 0,
"currency": "<string>"
},
"finalCost": {
"amountMinor": 0,
"currency": "<string>"
},
"approval": {
"approvedAt": "<string>",
"approvedBy": "<string>",
"quoteId": "<string>"
},
"quotes": [
{
"id": "<string>",
"repairId": "<string>",
"contractorContactId": "<string>",
"contractor": "<string>",
"amount": {
"amountMinor": 0,
"currency": "<string>"
},
"notes": "<string>",
"status": "<string>",
"receivedAt": "<string>",
"kind": "<string>",
"quoteRequestId": "<string>",
"documentId": "<string>",
"vatMinor": 123,
"earliestStartOn": "<string>"
}
],
"invoices": [
{
"id": "<string>",
"subjectKind": "<string>",
"subjectId": "<string>",
"subjectLabel": "<string>",
"propertyId": "<string>",
"propertyLabel": "<string>",
"tenancyId": "<string>",
"contractorContactId": "<string>",
"contractorName": "<string>",
"number": "<string>",
"issuedOn": "<string>",
"dueOn": "<string>",
"currency": "<string>",
"netMinor": 123,
"vatMinor": 123,
"grossMinor": 123,
"borneBy": "landlord",
"documentId": "<string>",
"status": "received",
"approvedAt": "<string>",
"creditedMinor": 123,
"paidMinor": 123,
"outstandingMinor": 123,
"disputedMinor": 123,
"payableMinor": 123,
"recoveredMinor": 123,
"recoverableMinor": 123,
"disputeReason": "<string>",
"disputedAt": "<string>",
"voidedAt": "<string>",
"voidReason": "<string>",
"legacy": true,
"legacyStatus": "<string>",
"legacySettled": true,
"revision": 123,
"createdAt": "<string>",
"lines": [
{
"id": "<string>",
"ordinal": 123,
"kind": "labour",
"description": "<string>",
"netMinor": 123,
"vatMinor": 123,
"grossMinor": 123
}
],
"payments": [
{
"id": "<string>",
"amountMinor": 123,
"paidOn": "<string>",
"reference": "<string>",
"legacy": true,
"createdAt": "<string>",
"correctedAt": "<string>",
"correctionReason": "<string>"
}
],
"creditNotes": [
{
"id": "<string>",
"number": "<string>",
"issuedOn": "<string>",
"netMinor": 123,
"vatMinor": 123,
"grossMinor": 123,
"reason": "<string>",
"documentId": "<string>",
"createdAt": "<string>",
"correctedAt": "<string>",
"correctionReason": "<string>"
}
],
"recoveries": [
{
"id": "<string>",
"amountMinor": 123,
"receivedOn": "<string>",
"reference": "<string>",
"createdAt": "<string>",
"correctedAt": "<string>",
"correctionReason": "<string>"
}
],
"authorisation": {
"state": "within",
"basis": "approved_quote",
"authorisedMinor": 123,
"authorisedCurrency": "<string>",
"earlierMinor": 123,
"chargedMinor": 123,
"remainingMinor": 123,
"excessMinor": 123
},
"limitOverride": {
"id": "<string>",
"state": "<string>",
"basis": "<string>",
"authorisedMinor": 123,
"authorisedCurrency": "<string>",
"earlierMinor": 123,
"chargedMinor": 123,
"excessMinor": 123,
"reason": "<string>",
"userId": "<string>",
"createdAt": "<string>"
}
}
],
"offers": [
{
"id": "<string>",
"repairId": "<string>",
"contractorContactId": "<string>",
"contractor": "<string>",
"round": 123,
"position": 123,
"status": "<string>",
"offeredAt": "<string>",
"expiresAt": "<string>",
"respondedAt": "<string>",
"note": "<string>",
"declineReason": "<string>",
"createdAt": "<string>"
}
],
"quoteRounds": [
{
"id": "<string>",
"round": 123,
"status": "<string>",
"dueOn": "<string>",
"notes": "<string>",
"endReason": "<string>",
"reviewTaskId": "<string>",
"createdAt": "<string>",
"endedAt": "<string>",
"requests": [
{
"id": "<string>",
"contractorContactId": "<string>",
"contractor": "<string>",
"status": "<string>",
"declineReason": "<string>",
"declineNote": "<string>",
"quoteId": "<string>",
"respondedAt": "<string>",
"position": 123,
"invitedAt": "<string>",
"expiresAt": "<string>"
}
],
"mode": "<string>",
"wanted": 123,
"replyHours": 123
}
],
"asks": [
{
"id": "<string>",
"kind": "tenant-emergency",
"at": "<string>",
"taskId": "<string>",
"preferredDays": [
"<string>"
],
"timeOfDay": "<string>",
"expectedAt": "<string>",
"note": "<string>",
"afterFailedVisit": true
}
],
"contractorContactId": "<string>",
"scheduledFor": "<string>",
"reportedVia": "<string>",
"intakeHeldAt": "<string>",
"reportedAddress": {
"line1": "<string>",
"postcode": "<string>"
},
"closedReason": "completed",
"closeNote": "<string>",
"closedAt": "<string>",
"duplicateOf": {
"id": "<string>",
"reference": "<string>"
},
"duplicates": [
{
"id": "<string>",
"reference": "<string>"
}
],
"assetId": "<string>",
"asset": {
"id": "<string>",
"name": "<string>",
"reference": "<string>",
"archived": true
},
"createdAt": "<string>",
"property": "<string>",
"reporter": "<string>",
"contractor": "<string>",
"contractorWarnings": [
{
"code": "<string>",
"message": "<string>",
"important": true
}
],
"firstRespondedAt": "<string>",
"firstAttendedAt": "<string>",
"targets": {
"respond": {
"dueAt": "<string>",
"label": "<string>",
"reachedAt": "<string>",
"state": "pending"
},
"attend": {
"dueAt": "<string>",
"label": "<string>",
"reachedAt": "<string>",
"state": "pending"
},
"complete": {
"dueAt": "<string>",
"label": "<string>",
"reachedAt": "<string>",
"state": "pending"
}
},
"lastVisit": {
"result": "fixed",
"reasons": [
"tenant_not_home"
],
"note": "<string>",
"visitStartsAt": "<string>",
"recordedAt": "<string>",
"visits": 123
},
"partsWait": {
"waitId": "<string>",
"sequence": 123,
"state": "opened",
"part": "<string>",
"supplier": "<string>",
"ordered": true,
"expectedOn": "<string>",
"costMinor": 123,
"currency": "<string>",
"returnDurationMinutes": 123,
"delays": 123,
"lastReason": "<string>",
"overdue": true,
"decisionNeeded": true,
"openedAt": "<string>",
"updatedAt": "<string>"
}
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}maintenance-pro
Reschedule
Reschedule a repair visit
POST
/
maintenance-pro
/
repairs
/
{id}
/
reschedule
Reschedule
curl --request POST \
--url https://api.sortx.co.uk/maintenance-pro/repairs/{id}/reschedule \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"startsAt": "<string>",
"endsAt": "<string>"
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({startsAt: '<string>', endsAt: '<string>'})
};
fetch('https://api.sortx.co.uk/maintenance-pro/repairs/{id}/reschedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/maintenance-pro/repairs/{id}/reschedule"
payload = {
"startsAt": "<string>",
"endsAt": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"reference": "<string>",
"propertyId": "<string>",
"blockId": "<string>",
"unitId": "<string>",
"reporterContactId": "<string>",
"reporterCorrection": "<string>",
"reporterCorrectedAt": "<string>",
"category": "<string>",
"faultNodeId": "<string>",
"subcategory": "<string>",
"specificFault": "<string>",
"faultAnswers": [
{
"questionId": "<string>",
"groupId": "<string>",
"label": "<string>",
"fieldType": "text",
"value": "<string>"
}
],
"trade": "<string>",
"description": "<string>",
"urgency": "<string>",
"status": "<string>",
"estimate": {
"amountMinor": 0,
"currency": "<string>"
},
"spendLimit": {
"amountMinor": 0,
"currency": "<string>"
},
"finalCost": {
"amountMinor": 0,
"currency": "<string>"
},
"approval": {
"approvedAt": "<string>",
"approvedBy": "<string>",
"quoteId": "<string>"
},
"quotes": [
{
"id": "<string>",
"repairId": "<string>",
"contractorContactId": "<string>",
"contractor": "<string>",
"amount": {
"amountMinor": 0,
"currency": "<string>"
},
"notes": "<string>",
"status": "<string>",
"receivedAt": "<string>",
"kind": "<string>",
"quoteRequestId": "<string>",
"documentId": "<string>",
"vatMinor": 123,
"earliestStartOn": "<string>"
}
],
"invoices": [
{
"id": "<string>",
"subjectKind": "<string>",
"subjectId": "<string>",
"subjectLabel": "<string>",
"propertyId": "<string>",
"propertyLabel": "<string>",
"tenancyId": "<string>",
"contractorContactId": "<string>",
"contractorName": "<string>",
"number": "<string>",
"issuedOn": "<string>",
"dueOn": "<string>",
"currency": "<string>",
"netMinor": 123,
"vatMinor": 123,
"grossMinor": 123,
"borneBy": "landlord",
"documentId": "<string>",
"status": "received",
"approvedAt": "<string>",
"creditedMinor": 123,
"paidMinor": 123,
"outstandingMinor": 123,
"disputedMinor": 123,
"payableMinor": 123,
"recoveredMinor": 123,
"recoverableMinor": 123,
"disputeReason": "<string>",
"disputedAt": "<string>",
"voidedAt": "<string>",
"voidReason": "<string>",
"legacy": true,
"legacyStatus": "<string>",
"legacySettled": true,
"revision": 123,
"createdAt": "<string>",
"lines": [
{
"id": "<string>",
"ordinal": 123,
"kind": "labour",
"description": "<string>",
"netMinor": 123,
"vatMinor": 123,
"grossMinor": 123
}
],
"payments": [
{
"id": "<string>",
"amountMinor": 123,
"paidOn": "<string>",
"reference": "<string>",
"legacy": true,
"createdAt": "<string>",
"correctedAt": "<string>",
"correctionReason": "<string>"
}
],
"creditNotes": [
{
"id": "<string>",
"number": "<string>",
"issuedOn": "<string>",
"netMinor": 123,
"vatMinor": 123,
"grossMinor": 123,
"reason": "<string>",
"documentId": "<string>",
"createdAt": "<string>",
"correctedAt": "<string>",
"correctionReason": "<string>"
}
],
"recoveries": [
{
"id": "<string>",
"amountMinor": 123,
"receivedOn": "<string>",
"reference": "<string>",
"createdAt": "<string>",
"correctedAt": "<string>",
"correctionReason": "<string>"
}
],
"authorisation": {
"state": "within",
"basis": "approved_quote",
"authorisedMinor": 123,
"authorisedCurrency": "<string>",
"earlierMinor": 123,
"chargedMinor": 123,
"remainingMinor": 123,
"excessMinor": 123
},
"limitOverride": {
"id": "<string>",
"state": "<string>",
"basis": "<string>",
"authorisedMinor": 123,
"authorisedCurrency": "<string>",
"earlierMinor": 123,
"chargedMinor": 123,
"excessMinor": 123,
"reason": "<string>",
"userId": "<string>",
"createdAt": "<string>"
}
}
],
"offers": [
{
"id": "<string>",
"repairId": "<string>",
"contractorContactId": "<string>",
"contractor": "<string>",
"round": 123,
"position": 123,
"status": "<string>",
"offeredAt": "<string>",
"expiresAt": "<string>",
"respondedAt": "<string>",
"note": "<string>",
"declineReason": "<string>",
"createdAt": "<string>"
}
],
"quoteRounds": [
{
"id": "<string>",
"round": 123,
"status": "<string>",
"dueOn": "<string>",
"notes": "<string>",
"endReason": "<string>",
"reviewTaskId": "<string>",
"createdAt": "<string>",
"endedAt": "<string>",
"requests": [
{
"id": "<string>",
"contractorContactId": "<string>",
"contractor": "<string>",
"status": "<string>",
"declineReason": "<string>",
"declineNote": "<string>",
"quoteId": "<string>",
"respondedAt": "<string>",
"position": 123,
"invitedAt": "<string>",
"expiresAt": "<string>"
}
],
"mode": "<string>",
"wanted": 123,
"replyHours": 123
}
],
"asks": [
{
"id": "<string>",
"kind": "tenant-emergency",
"at": "<string>",
"taskId": "<string>",
"preferredDays": [
"<string>"
],
"timeOfDay": "<string>",
"expectedAt": "<string>",
"note": "<string>",
"afterFailedVisit": true
}
],
"contractorContactId": "<string>",
"scheduledFor": "<string>",
"reportedVia": "<string>",
"intakeHeldAt": "<string>",
"reportedAddress": {
"line1": "<string>",
"postcode": "<string>"
},
"closedReason": "completed",
"closeNote": "<string>",
"closedAt": "<string>",
"duplicateOf": {
"id": "<string>",
"reference": "<string>"
},
"duplicates": [
{
"id": "<string>",
"reference": "<string>"
}
],
"assetId": "<string>",
"asset": {
"id": "<string>",
"name": "<string>",
"reference": "<string>",
"archived": true
},
"createdAt": "<string>",
"property": "<string>",
"reporter": "<string>",
"contractor": "<string>",
"contractorWarnings": [
{
"code": "<string>",
"message": "<string>",
"important": true
}
],
"firstRespondedAt": "<string>",
"firstAttendedAt": "<string>",
"targets": {
"respond": {
"dueAt": "<string>",
"label": "<string>",
"reachedAt": "<string>",
"state": "pending"
},
"attend": {
"dueAt": "<string>",
"label": "<string>",
"reachedAt": "<string>",
"state": "pending"
},
"complete": {
"dueAt": "<string>",
"label": "<string>",
"reachedAt": "<string>",
"state": "pending"
}
},
"lastVisit": {
"result": "fixed",
"reasons": [
"tenant_not_home"
],
"note": "<string>",
"visitStartsAt": "<string>",
"recordedAt": "<string>",
"visits": 123
},
"partsWait": {
"waitId": "<string>",
"sequence": 123,
"state": "opened",
"part": "<string>",
"supplier": "<string>",
"ordered": true,
"expectedOn": "<string>",
"costMinor": 123,
"currency": "<string>",
"returnDurationMinutes": 123,
"delays": 123,
"lastReason": "<string>",
"overdue": true,
"decisionNeeded": true,
"openedAt": "<string>",
"updatedAt": "<string>"
}
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}Authorizations
A workspace API key (Settings → API keys), scoped to <group>:read / <group>:write.
Path Parameters
Body
application/json
Response
Success
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
completed, duplicate, reported_in_error, not_managed, cancelled_by_tenant, tenant_to_resolve, landlord_to_resolve, third_party, no_access, no_longer_required, other Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes